<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog;

use Kufer\Web\KuferTools\Basis\View\DetailsTabelleRowView;
use Kufer\Web\KuferTools\Basis\View\DetailsTabelleRowViewModel;

class AbmeldenDialogPresenter extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog\AbmeldenDialogPresenter
{
  protected function getAnderenContent($datamodul, $key): string
  {
    $viewDetailsModel = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\BelegteKurseRowViewModel();
    $viewDetailsModel->isHeader = false;
    $viewDetailsModel->showCheckbox = false;
    $viewDetailsModel->belegung = $datamodul;

    $viewDetails = new \Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\BelegteKurseRowView($viewDetailsModel);

    $viewModel = new DetailsTabelleRowViewModel(
      $this->useCaseResponse->toolSection,
      $this->useCaseResponse->toolSettings,
      false,
      false,
      trim($viewDetails->getHeader()),
      $this->useCaseResponse->columns,
      $datamodul->id,
      $datamodul
    );

    $view = new DetailsTabelleRowView($viewModel);

    return $view->show();
  }

  protected function getView()
  {
    return new AbmeldenDialogView($this->getViewModel());
  }
}